URIException (HttpClient 3.1 API)
Keywords: org.apache.commons.httpclient.URIException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.httpclient
Class URIException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.io.IOException
                  org.apache.commons.httpclient.HttpException
                      org.apache.commons.httpclient.URIException

All Implemented Interfaces:
  Serializable

    public class URIException

extends HttpException

The URI parsing and escape encoding exception.

Version:
  $Revision: 480424 $ $Date: 2002/03/14 15:14:01
Author:
  Sung-Gu, Oleg Kalnichevski
See Also:
  Serialized Form

Field Summary
`static int` | `ESCAPING` The URI escape encoding and decoding error.
`static int` | `PARSING` The URI parsing error.
`static int` | `PUNYCODE` The DNS punycode encoding or decoding error.
`protected String` | `reason` The reason message.
`protected int` | `reasonCode` The reason code.
`static int` | `UNKNOWN` No specified reason code.
`static int` | `UNSUPPORTED_ENCODING` The unsupported character encoding.

Constructor Summary
`URIException()` Default constructor.
`URIException(int reasonCode)` The constructor with a reason code argument.
`URIException(int reasonCode, String reason)` The constructor with a reason string and its code arguments.
`URIException(String reason)` The constructor with a reason string argument.

Method Summary
`String` | `getReason()` Deprecated. You should instead call `Throwable.getMessage()`.
`int` | `getReasonCode()` Get the reason code.
`void` | `setReason(String reason)` Deprecated. Callers should instead set this via a parameter to the constructor.
`void` | `setReasonCode(int reasonCode)` Deprecated. Callers should set the reason code as a parameter to the constructor.

Methods inherited from class org.apache.commons.httpclient.HttpException
`getCause, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### UNKNOWN

    public static final int UNKNOWN

  No specified reason code.

  See Also:
    Constant Field Values

### PARSING

    public static final int PARSING

  The URI parsing error.

  See Also:
    Constant Field Values

### UNSUPPORTED_ENCODING

    public static final int UNSUPPORTED_ENCODING

  The unsupported character encoding.

  See Also:
    Constant Field Values

### ESCAPING

    public static final int ESCAPING

  The URI escape encoding and decoding error.

  See Also:
    Constant Field Values

### PUNYCODE

    public static final int PUNYCODE

  The DNS punycode encoding or decoding error.

  See Also:
    Constant Field Values

### reasonCode

    protected int reasonCode

  The reason code.

### reason

    protected String reason

  The reason message.

Constructor Detail

### URIException

    public URIException()

  Default constructor.

### URIException

    public URIException(int reasonCode)

  The constructor with a reason code argument.

  Parameters:
    `reasonCode` - the reason code

### URIException

    public URIException(int reasonCode,
                        String reason)

  The constructor with a reason string and its code arguments.

  Parameters:
    `reasonCode` - the reason code
    `reason` - the reason

### URIException

    public URIException(String reason)

  The constructor with a reason string argument.

  Parameters:
    `reason` - the reason

Method Detail

### getReasonCode

    public int getReasonCode()

  Get the reason code.

  Overrides:
    `getReasonCode` in class `HttpException`
  Returns:
    the reason code

### setReasonCode

    public void setReasonCode(int reasonCode)

  Deprecated. Callers should set the reason code as a parameter to the constructor.

  Set the reason code.

  Overrides:
    `setReasonCode` in class `HttpException`
  Parameters:
    `reasonCode` - the reason code

### getReason

    public String getReason()

  Deprecated. You should instead call `Throwable.getMessage()`.

  Get the reason message.

  Overrides:
    `getReason` in class `HttpException`
  Returns:
    the reason message

### setReason

    public void setReason(String reason)

  Deprecated. Callers should instead set this via a parameter to the constructor.

  Set the reason message.

  Overrides:
    `setReason` in class `HttpException`
  Parameters:
    `reason` - the reason message

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2007 Apache Software Foundation. All Rights Reserved.